
body {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  background-color: black;
  color: white;
  overflow: hidden;
}

.main{

  display: flex;
  height: 100vh;
}

.sidebar{
  background-color:black;
  width: 340px;
  border-radius: 1rem;
  margin-right:0.5rem;
}

.main_content{
  background-color: #121212;
  flex: 1;
  border-radius: 1rem;
   overflow: auto;
   padding: 0 1.5rem 0 1.5rem ;
}

.music_player{
 
  background-color: #121212  ;
  position: fixed;
  width: 100%;
  bottom: 0;
  height: 72px;
  border-radius: 1rem;
}

a {
  text-decoration: none;
  color: white;
}

.nav{
  background-color: #121212;
  border-radius: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100px;
  padding: 0.5rem 0.75rem;

}

.nav-options{
  
line-height: 2.5rem;
opacity: 0.7;
margin: 0.5rem 0.75rem ;
}

.nav-options:hover {
opacity: 1;
}

.nav-options a {
  font-size: 1rem;
  margin-left: 1rem;
}

.nav-options i {
  font-size: 1.25rem;
  margin-left: 1rem;
}

.library{
  background-color: #121212;
  border-radius: 1rem;
  height: 100%;
  margin-top: .5rem;
  padding: 0.5rem 0.75rem ;
}

.options {
  display: flex;
  justify-content:space-between;
  align-items: center;
}

.lib-options img {
  
  height: 1.25rem;
  width: 1.25rem;
}

.icons{
  display: flex;
  font-size: 1.2rem;
  margin-right: 1rem;
  opacity: 0.7;
}

.icons:hover {
  font-size: 1.25rem;
  opacity: 1;
}

.icons i {
  opacity: 0.7;
  margin-right: 1rem;
}
.icons i:hover {
  opacity: 1;
  margin-right: 1rem;
}

.lib-boxes{
  height: 10rem;
  background-color: #232323;
  border-radius: 1rem;
  margin: 0.5rem 0 0.5rem 0 ;
  padding:  0.75rem  1rem;
  
}

.p1box{
  font-size: 1rem;
  font-weight:650;
}

.p2box{
  font-size: .75rem;
  opacity: 0.8;

}
.badge{
  border-radius: 1rem;
    
    background-color: white;
    border: none;
    margin-top: 1rem;;
    padding: .25rem 1rem ;
    font-weight: 700;
    width: fit-content;
    height: 2rem;
}

.sticky-nav{
  position: sticky;
  top: 0;
  background-color: #121212;
  display: flex;
  justify-content: space-between ;
  align-items:center;
  padding: 1rem 0 1rem 0;
  z-index: 10;  
}


.sticky-nav-icons{

  margin-left: 0.75rem;
}

.sticky-nav-options{

  display: flex;
  justify-content: center;
  align-items: center;
 
}

.nav-items{

  margin-right: 1rem;
}

.dark-badge{
  background-color: black; 
  color: white;
}

@media (max-width:1000px){

 .hide{
  display:none ;         
 }
}

.card{
  background-color: #232323;
  width: 150px;
   border-radius: 0.5rem;
   margin-left: 1.5rem;
   margin-top: 1rem;
}

.cards-container{
    display: flex;
    flex-wrap: wrap;
}

.card-img {
  width: 100% ;
  border-radius: 0.5rem;
}

.card-title {
    font-weight: 600;
}

.card-info {
  opacity: 0.8;
  font-size: 0.85rem;
 padding-bottom: .2rem;

}

.footer{
  height: 300px   ;
  display: flex;
  align-items: center;
  justify-content: center;
}

.line
{

  width: 90%;
  height:50%;
  border-top: 1px solid white;
  opacity: .4;
}

.music_player{
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.album {
  width: 25%;
  
}

.player {
  
  width: 50%;
  
}
.controls{
  width: 25%;
 
}
.player-controls {
    display: flex;
  justify-content: center;
  align-items: center;
}


.player-control-icon {
 opacity: .7;
  height: 1rem;
  margin-right: 1.75rem;

}

.player-control-icon:hover {
  opacity: 1;
}

.playback-bar{
  display: flex;
  justify-content: center;
  align-items: center;
}

.progress-bar {
 width: 70%;
 appearance: none;
 background-color: transparent;
 cursor: pointer;

}

.progress-bar::-webkit-slider-runnable-track{
  background-color: #ddd;
  border-radius: 100px;
  height: .2rem;
}

.progress-bar::-webkit-slider-thumb {
appearance: none;
height: 1rem;
width: 1rem;
background-color: #1bd760;
border-radius: 50%; 
margin-top: -6px;
}
